> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reopen



## OpenAPI

````yaml /openapi.json delete /v1/workspaces/{workspaceId}/projects/{projectId}/comment-threads/{threadId}/resolve
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/comment-threads/{threadId}/resolve:
    delete:
      tags:
        - Comment Threads
      summary: Reopen
      operationId: CommentThreadsController_reopen_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: threadId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentThreadResponseDto'
components:
  schemas:
    CommentThreadResponseDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        author:
          $ref: '#/components/schemas/CommentAuthorResponseDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/CommentThreadItemResponseDto'
        comments:
          type: array
          items:
            $ref: '#/components/schemas/CommentResponseDto'
        commentCount:
          type: number
        resolvedAt:
          type: string
          nullable: true
        resolvedBy:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CommentAuthorResponseDto'
        lastActivityAt:
          type: string
        isFollowing:
          type: boolean
        isArchived:
          type: boolean
        needsMe:
          type: boolean
        isUnread:
          type: boolean
      required:
        - id
        - projectId
        - author
        - items
        - comments
        - commentCount
        - resolvedAt
        - resolvedBy
        - lastActivityAt
        - isFollowing
        - isArchived
        - needsMe
        - isUnread
    CommentAuthorResponseDto:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      required:
        - id
        - firstName
        - lastName
    CommentThreadItemResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    CommentResponseDto:
      type: object
      properties:
        id:
          type: string
        author:
          $ref: '#/components/schemas/CommentAuthorResponseDto'
        body:
          type: array
          items:
            type: object
        createdAt:
          type: string
      required:
        - id
        - author
        - body
        - createdAt

````